Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ffmpeg]freetype2 not found using pkg-config(close)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Tue Jan 05, 2021 11:17 pm    Post subject: [ffmpeg]freetype2 not found using pkg-config(close) Reply with quote

Un saludo para todos los miembros de esta amable comunidad.

He tenido muchos problemas desde el cambio el año pasado del perfil 17.0 al 17.1 he podido resolver algunos pero otros son como una piedra de tranca, cualquier ayuda gracias de antemano.

Al punto:

media-video/ffmpeg-4.3.1
Quote:

* ffmpeg-4.3.1.tar.bz2 BLAKE2B SHA512 size ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking ffmpeg-4.3.1.tar.bz2 to /var/tmp/portage/media-video/ffmpeg-4.3.1/work
>>> Source unpacked in /var/tmp/portage/media-video/ffmpeg-4.3.1/work
>>> Preparing source in /var/tmp/portage/media-video/ffmpeg-4.3.1/work/ffmpeg-4.3.1 ...
* Applying chromium-r1.patch ... [ ok ]
* Applying ffmpeg-4.3-fix-build-without-SSSE3.patch ... [ ok ]
* Applying ffmpeg-4.3-altivec-novsx-yuv2rgb.patch ... [ ok ]
* Applying ffmpeg-4.3.1-srt-1.4.2-build.patch ... [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-video/ffmpeg-4.3.1/work/ffmpeg-4.3.1 ...
* abi_x86_32.x86: running multilib-minimal_abi_src_configure
/var/tmp/portage/media-video/ffmpeg-4.3.1/work/ffmpeg-4.3.1/configure --prefix=/usr --libdir=/usr/lib --shlibdir=/usr/lib --docdir=/usr/share/doc/ffmpeg-4.3.1/html --mandir=/usr/share/man --enable-shared --cc=x86_64-pc-linux-gnu-gcc -m32 --cxx=x86_64-pc-linux-gnu-g++ -m32 --ar=x86_64-pc-linux-gnu-ar --nm=x86_64-pc-linux-gnu-nm --ranlib=x86_64-pc-linux-gnu-ranlib --pkg-config=/usr/bin/pkg-config --optflags=-march=native -O2 -pipe --disable-static --enable-avfilter --enable-avresample --disable-stripping --disable-optimizations --disable-libcelt --enable-version3 --disable-indev=v4l2 --disable-outdev=v4l2 --disable-indev=oss --disable-indev=jack --disable-outdev=oss --enable-bzlib --enable-runtime-cpudetect --disable-debug --disable-gcrypt --enable-gnutls --disable-gmp --enable-gpl --disable-hardcoded-tables --enable-iconv --disable-libtls --disable-libxml2 --disable-lzma --enable-network --disable-opencl --disable-openssl --enable-postproc --enable-libsmbclient --enable-ffplay --enable-sdl2 --disable-vaapi --disable-vdpau --disable-vulkan --enable-xlib --enable-libxcb --enable-libxcb-shm --enable-libxcb-xfixes --enable-zlib --disable-libcdio --disable-libiec61883 --disable-libdc1394 --enable-libcaca --enable-openal --enable-opengl --disable-libv4l2 --enable-libpulse --disable-libdrm --disable-libjack --disable-libopencore-amrwb --disable-libopencore-amrnb --disable-libcodec2 --enable-libdav1d --disable-libfdk-aac --disable-libopenjpeg --disable-libbluray --disable-libgme --enable-libgsm --disable-libaribb24 --disable-mmal --enable-libmodplug --enable-libopus --disable-libilbc --disable-librtmp --disable-libssh --enable-libspeex --disable-libsrt --enable-librsvg --disable-ffnvcodec --enable-libvorbis --disable-libvpx --disable-libzvbi --disable-appkit --enable-libbs2b --disable-chromaprint --disable-cuda-llvm --disable-libflite --disable-frei0r --disable-libfribidi --disable-fontconfig --enable-ladspa --disable-libass --disable-libtesseract --disable-lv2 --enable-libfreetype --disable-libvidstab --disable-librubberband --disable-libzmq --disable-libzimg --disable-libsoxr --enable-pthreads --disable-libvo-amrwbenc --enable-libmp3lame --disable-libkvazaar --disable-libaom --disable-libopenh264 --disable-librav1e --disable-libsnappy --enable-libtheora --enable-libtwolame --enable-libwavpack --disable-libwebp --enable-libx264 --disable-libx265 --enable-libxvid --disable-frei0r --disable-librav1e --disable-libzmq --disable-armv5te --disable-armv6 --disable-armv6t2 --disable-neon --disable-vfp --disable-vfpv3 --disable-armv8 --disable-mipsdsp --disable-mipsdspr2 --disable-mipsfpu --disable-altivec --disable-vsx --disable-power8 --disable-amd3dnow --disable-amd3dnowext --disable-aesni --disable-avx2 --disable-fma3 --disable-fma4 --disable-xop --cpu=host --disable-doc --disable-htmlpages --disable-manpages
ERROR: freetype2 not found using pkg-config

If you think configure made a mistake, make sure you are using the latest
version from Git. If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "ffbuild/config.log" produced by configure as this will help
solve the problem.
* ERROR: media-video/ffmpeg-4.3.1::gentoo failed (configure phase):
* (no error message)
*
* Call stack:
* ebuild.sh, line 125: Called src_configure
* environment, line 2537: Called multilib-minimal_src_configure
* environment, line 1760: Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
* environment, line 2013: Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
* environment, line 1690: Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
* environment, line 1688: Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
* environment, line 791: Called multilib-minimal_abi_src_configure
* environment, line 1754: Called multilib_src_configure
* environment, line 2323: Called die
* The specific snippet of code:
* "${@}" || die;
*
* If you need support, post the output of `emerge --info '=media-video/ffmpeg-4.3.1::gentoo'`,
* the complete build log and the output of `emerge -pqv '=media-video/ffmpeg-4.3.1::gentoo'`.
* The complete build log is located at '/var/log/portage/media-video:ffmpeg-4.3.1:20210105-230858.log'.
* For convenience, a symlink to the build log is located at '/var/tmp/portage/media-video/ffmpeg-4.3.1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-video/ffmpeg-4.3.1/temp/environment'.
* Working directory: '/var/tmp/portage/media-video/ffmpeg-4.3.1/work/ffmpeg-4.3.1-abi_x86_32.x86'
* S: '/var/tmp/portage/media-video/ffmpeg-4.3.1/work/ffmpeg-4.3.1'

>>> Failed to emerge media-video/ffmpeg-4.3.1, Log file:


Son varios paquetes que me dan este error
Quote:
No package 'freetype2' found



emerge --info '=media-video/ffmpeg-4.3.1::gentoo'
Code:
Portage 3.0.12 (python 3.8.6-final-0, default/linux/amd64/17.1/desktop, gcc-9.3.0, glibc-2.32-r3, 4.19.86-gentoo-x86_64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.19.86-gentoo-x86_64-x86_64-Intel-R-_Core-TM-_i3-2370M_CPU_@_2.40GHz-with-glibc2.2.5
KiB Mem:     3926844 total,    272740 free
KiB Swap:    4120572 total,   2501940 free
Timestamp of repository gentoo: Tue, 05 Jan 2021 18:30:01 +0000
Head commit of repository gentoo: 355aef90c29a1d19bde2d0aaa5324ce0570c32da
Timestamp of repository enlightenment-live: Mon, 28 Dec 2020 23:05:18 +0000
Head commit of repository enlightenment-live: 431e37c984c32998e6363fcb6bae9336a942d17b

Timestamp of repository erayd: Mon, 28 Dec 2020 10:28:09 +0000
Head commit of repository erayd: 39f7097a858909dc0f4196e392105f8c34ea930a

Timestamp of repository vmacs: Tue, 05 Jan 2021 01:07:02 +0000
Head commit of repository vmacs: 3eaf26c8b91ca9c0d601a3d7fd0910cf0dbde52c

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
ccache version 4.1 [enabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r4::gentoo, 3.6.12::gentoo, 3.7.9-r1::gentoo, 3.8.6-r1::gentoo, 3.9.0-r1::gentoo
dev-util/ccache:          4.1::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.2-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-max-age: 24

enlightenment-live
    location: /var/db/repos/enlightenment-live
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/enlightenment-live.git
    masters: gentoo

erayd
    location: /var/db/repos/erayd
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/erayd.git
    masters: gentoo

vmacs
    location: /var/db/repos/vmacs
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/vmacs.git
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/sddm/scripts/Xsetup"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://www.gtlib.gatech.edu/pub/gentoo"
LANG="es_ES.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="es"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="Flac X a52 aac aalib acl acpi alisp alsa amd64 analyzer apache2 appstream bazaar bcmath berkdb bidi bl bluetooth branding bs2b bzip2 cairo calendar cdda cddb cdparanoia cdr cgi cgroups cli cover cpudetection crossfade crypt ctype cue cups curl dbus deprecated dga display-manager dmalloc down-root dri dropbox dts dv dvb dvd dvdr eds elogind emboss enca encode evdev exif extras faac faad fbcon fbcondecor ffmpeg firebird flac fortran fpm ftp game gd gdbm ggi gif git gnome-keyring gnutls googledrive gpm grub gsm gstreamer gtk gtk2 gtk3 gtk4 gucharmap gui handbook hddtemp hwdb ibus iconv icu intl introspection iodbc ipv6 java jpeg json kde kerberos kmod ladspa lcms ldap legacy-systray libcaca libglvnd libmpeg2 libnotify librsync-bundled libtirpc lirc live lm_sensors lyrics lzo mad md5sum mercurial mesh mms mng modplug mount-locking mp3 mp4 mpeg mpt mtp multilib musepack mysqli nas natspec ncurses networkmanager nfs nls notifier nptl nss nut obex ogg openal opengl openmp opus pango pch pcre pdf pdfimport pdo phar php plymouth pm-utils png pnm policykit postgres ppds projectm pulseaudio pvr python qsui qt4 qt5 qtmedia radio rar readline resolvconf rtc rtmp rule-generator samba sasl scrobbler scrypt sddm sdk sdl seccomp session sftp sid sndfile soap soxr speex spell split-usr sqlite ssl startup-notification stereo subversion svg tcpd test-programs tga theora tiff toolame touchpad tray tremor truetype twolame udev udisks unicode upower usb vcd vlc vnc vorbis wallpapers wav wavpack webui wext wifi wxwidgets x264 xattr xcb xcomposite xinerama xml xv xvid xvmc yuv4mpeg zlib zoran zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics libinput" KERNEL="linux" L10N="es" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python2_7 python3_8 pypy3" RUBY_TARGETS="ruby25 ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XFCE_PLUGINS="brightness clock trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-video/ffmpeg-4.3.1::gentoo was built with the following:
USE="X alsa bs2b bzip2 cpudetection dav1d encode gnutls gpl gsm iconv ladspa libcaca modplug mp3 network openal opengl opus postproc pulseaudio samba sdl speex svg theora threads truetype twolame vorbis wavpack x264 xvid zlib -amr -amrenc (-appkit) -bluray -cdio -chromaprint -chromium -codec2 (-cuda) -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -hardcoded-tables -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -libaom -libaribb24 -libass -libdrm -libilbc -libressl -librtmp -libsoxr -libtesseract -libv4l -libxml2 -lv2 -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -opencl -openh264 -openssl -oss -pic -rav1e -rubberband -snappy -srt -ssh -static-libs -test -v4l -vaapi -vdpau -vidstab -vpx -vulkan -webp -x265 -zeromq -zimg -zvbi" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="-nvidia"
FEATURES="network-sandbox preserve-libs fixlafiles merge-sync strict binpkg-docompress ipc-sandbox binpkg-logs news usersync binpkg-dostrip multilib-strict unknown-features-warn ebuild-locks unmerge-orphans sfperms assume-digests xattr userpriv sandbox pid-sandbox parallel-fetch qa-unresolved-soname-deps config-protect-if-modified distlocks usersandbox unmerge-logs ccache protect-owned userfetch"


emerge -pqv '=media-video/ffmpeg-4.3.1::gentoo'
Code:

[ebuild   R   ] media-video/ffmpeg-4.3.1  USE="X alsa bs2b bzip2 cpudetection dav1d encode gnutls gpl gsm iconv ladspa libcaca modplug mp3 network openal opengl opus postproc pulseaudio samba sdl speex svg theora threads truetype twolame vorbis wavpack x264 xvid zlib -amr -amrenc (-appkit) -bluray -cdio -chromaprint -chromium -codec2 (-cuda) -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -hardcoded-tables -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -libaom -libaribb24 -libass -libdrm -libilbc -libressl -librtmp -libsoxr -libtesseract -libv4l -libxml2 -lv2 -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -opencl -openh264 -openssl -oss -pic -rav1e -rubberband -snappy -srt -ssh -static-libs -test -v4l -vaapi -vdpau -vidstab -vpx -vulkan -webp -x265 -zeromq -zimg -zvbi" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="-nvidia"

De antemano muchas gracias.

[Moderator edit: changed [quote] tags to [code] tags to preserve output layout. -Hu]
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810


Last edited by carlos plaza on Wed Feb 24, 2021 2:51 pm; edited 2 times in total
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Wed Jan 06, 2021 1:37 am    Post subject: [ffmpeg]freetype2 not found using pkg-config(open) Reply with quote

Help

https://forums.gentoo.org/viewtopic-t-1127461.html
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
Buffoon
Veteran
Veteran


Joined: 17 Jun 2015
Posts: 1369
Location: EU or US

PostPosted: Wed Jan 06, 2021 1:53 am    Post subject: Reply with quote

Since configure fails I'd start by examining configure log.
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Wed Jan 06, 2021 4:33 pm    Post subject: Reply with quote

¿Puedes publicar la salida de /usr/bin/i686-pc-linux-gnu-pkg-config --libs freetype2 y emerge -pv media-libs/freetype?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Wed Jan 06, 2021 8:31 pm    Post subject: Reply with quote

Gracias fedeliallalinea
Quote:
¿Puedes publicar la salida de /usr/bin/i686-pc-linux-gnu-pkg-config --libs freetype2 y emerge -pv media-libs/freetype?


/usr/bin/i686-pc-linux-gnu-pkg-config --libs freetype2
Code:
Package freetype2 was not found in the pkg-config search path.
Perhaps you should add the directory containing `freetype2.pc'
to the PKG_CONFIG_PATH environment variable
No package 'freetype2' found


emerge -pv media-libs/freetype
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/freetype-2.10.4:2::gentoo  USE="X adobe-cff bzip2 cleartype_hinting harfbuzz png static-libs -bindist -brotli -debug -doc -fontforge -infinality -utils" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Wed Jan 06, 2021 9:02 pm    Post subject: Reply with quote

Intenta recompilar media-libs/freetype si no funciona entón publicar la salida de equery f media-libs/freetype y /usr/bin/i686-pc-linux-gnu-pkg-config --variable pc_path pkg-config.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Wed Jan 06, 2021 10:14 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Intenta recompilar media-libs/freetype si no funciona entón publicar la salida de equery f media-libs/freetype y /usr/bin/i686-pc-linux-gnu-pkg-config --variable pc_path pkg-config.


salidas

emerge media-libs/freetype
Code:

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-libs/freetype-2.10.4::gentoo
 * freetype-2.10.4.tar.xz BLAKE2B SHA512 size ;-) ...          [ ok ]
>>> Unpacking source...
>>> Unpacking freetype-2.10.4.tar.xz to /var/tmp/portage/media-libs/freetype-2.10.4/work
>>> Source unpacked in /var/tmp/portage/media-libs/freetype-2.10.4/work
>>> Preparing source in /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4 ...
 * Applying freetype-2.10.3-sizeof-types.patch ...             [ ok ]
 * Running elibtoolize in: freetype-2.10.4/
 * Running elibtoolize in: freetype-2.10.4/builds/unix/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.3 patch ...
 *   Applying ppc64le/2.4.4 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4 ...
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
 * econf: updating freetype-2.10.4/builds/unix/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating freetype-2.10.4/builds/unix/config.sub with /usr/share/gnuconfig/config.sub
/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --docdir=/usr/share/doc/freetype-2.10.4 --htmldir=/usr/share/doc/freetype-2.10.4/html --with-sysroot=/ --libdir=/usr/lib --disable-freetype-config --enable-biarch-config --enable-shared --without-brotli --with-bzip2 --with-harfbuzz --with-png --enable-static LIBPNG_CFLAGS=-I/usr/include/libpng16 LIBPNG_LDFLAGS=-lpng16 -lz ac_cv_prog_RC= ac_cv_prog_ac_ct_RC=
Generating `Makefile'

FreeType build system -- automatic system detection

The following settings are used:

  platform                    unix
  compiler                    x86_64-pc-linux-gnu-gcc -m32
  configuration directory     /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix
  configuration rules         /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/unix.mk

If this does not correspond to your system or settings please remove the file
`config.mk' from this directory then read the INSTALL file for help.

Otherwise, simply type `gmake' again to build the library,
or `gmake refdoc' to build the API reference (this needs Python >= 3.5).

/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/configure  '--prefix=/usr' '--build=i686-pc-linux-gnu' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--docdir=/usr/share/doc/freetype-2.10.4' '--htmldir=/usr/share/doc/freetype-2.10.4/html' '--with-sysroot=/' '--libdir=/usr/lib' '--disable-freetype-config' '--enable-biarch-config' '--enable-shared' '--without-brotli' '--with-bzip2' '--with-harfbuzz' '--with-png' '--enable-static' 'LIBPNG_CFLAGS=-I/usr/include/libpng16' 'LIBPNG_LDFLAGS=-lpng16 -lz' 'ac_cv_prog_RC=' 'ac_cv_prog_ac_ct_RC='
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for i686-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc -m32
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc -m32 accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc -m32 option to accept ISO C89... none needed
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -m32 -E
checking pkg-config is at least version 0.24... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc -m32... x86_64-pc-linux-gnu-ld -m elf_i386
checking if the linker (x86_64-pc-linux-gnu-ld -m elf_i386) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... x86_64-pc-linux-gnu-nm
checking the name lister (x86_64-pc-linux-gnu-nm) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for x86_64-pc-linux-gnu-ld -m elf_i386 option to reload object files... -r
checking for i686-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for i686-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for i686-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for i686-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for i686-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking for gawk... gawk
checking command to parse x86_64-pc-linux-gnu-nm output from x86_64-pc-linux-gnu-gcc -m32 object... ok
checking for sysroot... /
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for i686-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc -m32 supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc -m32 option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc -m32 PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc -m32 static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc -m32 supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc -m32 supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc -m32 linker (x86_64-pc-linux-gnu-ld -m elf_i386) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking windows.h usability... no
checking windows.h presence... no
checking for windows.h... no
checking for a BSD-compatible install... /usr/lib/portage/python3.8/ebuild-helpers/xattr/install -c
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking size of int... 4
checking size of long... 4
checking for unsigned long long int... yes
checking for long long int... yes
checking whether cpp computation of bit length in ftconfig.h.in works... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether munmap is declared... yes
checking for munmap's first parameter type... void *
checking for memcpy... yes
checking for memmove... yes
checking gcc compiler flag -pedantic to assure ANSI C works correctly... ok, adding to XX_ANSIFLAGS
checking gcc compiler flag -ansi to assure ANSI C works correctly... ok, adding to XX_ANSIFLAGS
checking for -fvisibility=hidden compiler flag... yes
checking for ZLIB... yes
checking for BZIP2... no
checking for BZ2_bzDecompress in -lbz2... yes
checking bzlib.h usability... yes
checking bzlib.h presence... yes
checking for bzlib.h... yes
checking for LIBPNG... yes
checking for HARFBUZZ... no
configure: error: harfbuzz support requested but library not found
gmake: *** [/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/detect.mk:89: setup] Error 1

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4-abi_x86_32.x86/config.log
 * ERROR: media-libs/freetype-2.10.4::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  125:  Called src_configure
 *             environment, line 2139:  Called multilib-minimal_src_configure
 *             environment, line 1448:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *             environment, line 1701:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 1378:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 1376:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *             environment, line  466:  Called multilib-minimal_abi_src_configure
 *             environment, line 1442:  Called multilib_src_configure
 *             environment, line 1932:  Called econf '--disable-freetype-config' '--enable-biarch-config' '--enable-shared' '--without-brotli' '--with-bzip2' '--with-harfbuzz' '--with-png' '--enable-static' 'LIBPNG_CFLAGS=-I/usr/include/libpng16' 'LIBPNG_LDFLAGS=-lpng16 -lz' 'ac_cv_prog_RC=' 'ac_cv_prog_ac_ct_RC='
 *        phase-helpers.sh, line  680:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *              die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-libs/freetype-2.10.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/freetype-2.10.4::gentoo'`.
 * The complete build log is located at '/var/log/portage/media-libs:freetype-2.10.4:20210106-220320.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-libs/freetype-2.10.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/freetype-2.10.4/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4'

>>> Failed to emerge media-libs/freetype-2.10.4, Log file:

>>>  '/var/log/portage/media-libs:freetype-2.10.4:20210106-220320.log'


equery f media-libs/freetype
Code:

 * Searching for freetype in media-libs ...
 * Contents of media-libs/freetype-2.10.4:
/usr
/usr/include
/usr/include/freetype2
/usr/include/freetype2/freetype
/usr/include/freetype2/freetype/config
/usr/include/freetype2/freetype/config/ftconfig.h
/usr/include/freetype2/freetype/config/ftheader.h
/usr/include/freetype2/freetype/config/ftmodule.h
/usr/include/freetype2/freetype/config/ftoption.h
/usr/include/freetype2/freetype/config/ftstdlib.h
/usr/include/freetype2/freetype/config/integer-types.h
/usr/include/freetype2/freetype/config/mac-support.h
/usr/include/freetype2/freetype/config/public-macros.h
/usr/include/freetype2/freetype/freetype.h
/usr/include/freetype2/freetype/ftadvanc.h
/usr/include/freetype2/freetype/ftbbox.h
/usr/include/freetype2/freetype/ftbdf.h
/usr/include/freetype2/freetype/ftbitmap.h
/usr/include/freetype2/freetype/ftbzip2.h
/usr/include/freetype2/freetype/ftcache.h
/usr/include/freetype2/freetype/ftchapters.h
/usr/include/freetype2/freetype/ftcid.h
/usr/include/freetype2/freetype/ftcolor.h
/usr/include/freetype2/freetype/ftdriver.h
/usr/include/freetype2/freetype/fterrdef.h
/usr/include/freetype2/freetype/fterrors.h
/usr/include/freetype2/freetype/ftfntfmt.h
/usr/include/freetype2/freetype/ftgasp.h
/usr/include/freetype2/freetype/ftglyph.h
/usr/include/freetype2/freetype/ftgxval.h
/usr/include/freetype2/freetype/ftgzip.h
/usr/include/freetype2/freetype/ftimage.h
/usr/include/freetype2/freetype/ftincrem.h
/usr/include/freetype2/freetype/ftlcdfil.h
/usr/include/freetype2/freetype/ftlist.h
/usr/include/freetype2/freetype/ftlzw.h
/usr/include/freetype2/freetype/ftmac.h
/usr/include/freetype2/freetype/ftmm.h
/usr/include/freetype2/freetype/ftmodapi.h
/usr/include/freetype2/freetype/ftmoderr.h
/usr/include/freetype2/freetype/ftotval.h
/usr/include/freetype2/freetype/ftoutln.h
/usr/include/freetype2/freetype/ftparams.h
/usr/include/freetype2/freetype/ftpfr.h
/usr/include/freetype2/freetype/ftrender.h
/usr/include/freetype2/freetype/ftsizes.h
/usr/include/freetype2/freetype/ftsnames.h
/usr/include/freetype2/freetype/ftstroke.h
/usr/include/freetype2/freetype/ftsynth.h
/usr/include/freetype2/freetype/ftsystem.h
/usr/include/freetype2/freetype/fttrigon.h
/usr/include/freetype2/freetype/fttypes.h
/usr/include/freetype2/freetype/ftwinfnt.h
/usr/include/freetype2/freetype/t1tables.h
/usr/include/freetype2/freetype/ttnameid.h
/usr/include/freetype2/freetype/tttables.h
/usr/include/freetype2/freetype/tttags.h
/usr/include/freetype2/ft2build.h
/usr/lib32
/usr/lib32/libfreetype.a
/usr/lib32/libfreetype.so -> libfreetype.so.6.17.4
/usr/lib32/libfreetype.so.6 -> libfreetype.so.6.17.4
/usr/lib32/libfreetype.so.6.17.4
/usr/lib32/pkgconfig
/usr/lib32/pkgconfig/freetype2.pc
/usr/lib64
/usr/lib64/libfreetype.a
/usr/lib64/libfreetype.so -> libfreetype.so.6.17.4
/usr/lib64/libfreetype.so.6 -> libfreetype.so.6.17.4
/usr/lib64/libfreetype.so.6.17.4
/usr/lib64/pkgconfig
/usr/lib64/pkgconfig/freetype2.pc
/usr/share
/usr/share/aclocal
/usr/share/aclocal/freetype2.m4
/usr/share/doc
/usr/share/doc/freetype-2.10.4
/usr/share/doc/freetype-2.10.4/CHANGES.bz2
/usr/share/doc/freetype-2.10.4/CUSTOMIZE.bz2
/usr/share/doc/freetype-2.10.4/DEBUG.bz2
/usr/share/doc/freetype-2.10.4/INSTALL.UNIX.bz2
/usr/share/doc/freetype-2.10.4/PROBLEMS.bz2
/usr/share/doc/freetype-2.10.4/TODO.bz2
/usr/share/doc/freetype-2.10.4/formats.txt.bz2
/usr/share/doc/freetype-2.10.4/raster.txt.bz2

/usr/bin/i686-pc-linux-gnu-pkg-config --variable pc_path pkg-config
Code:
usr/lib32/pkgconfig:/usr/share/pkgconfig

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Thu Jan 07, 2021 8:40 am    Post subject: Reply with quote

Cuando activaste el perfil 17.1, ¿ejecutaste el comando emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32 (paso 11)?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Thu Jan 07, 2021 12:31 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Cuando activaste el perfil 17.1, ¿ejecutaste el comando emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32 (paso 11)?


Gracias fedeliallalinea, normalmente sigo las instrucciones uno a uno, es posible que se me aya pasado. La ejecuto de nuevo y

emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-)]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/python-exec-2.4.6-r3::gentoo (masked by: ~amd64 keyword)

(dependency required by "dev-python/setuptools-50.3.0::gentoo" [installed])
(dependency required by "dev-util/meson-0.55.3::gentoo" [installed])
(dependency required by "dev-python/pygobject-3.36.1-r1::gentoo" [installed])
(dependency required by "net-wireless/bluez-5.55::gentoo[python_single_target_python3_8,test-programs]" [installed])
(dependency required by "dev-lang/python-3.8.6-r1::gentoo[bluetooth]" [installed])
(dependency required by "dev-util/meson-format-array-0::gentoo[python_targets_python3_8]" [installed])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Recuerdo que hice, hace como 20 días
Code:

eselect python cleanup
eselect python update


y quedo así:
eselect python list
Code:
Available Python interpreters, in order of preference:
  [1]   python3.9
  [2]   python3.7
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)


Desde la degradación de pyhon 2.7
Quote:
2020-09-28 Python 2.7 cleanup is progressing
He tenido muchos errores con python desde allí, que poco a poco he resuelto o portage a resuelto solo, ahora de nuevo esto 8O
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Thu Jan 07, 2021 5:48 pm    Post subject: Reply with quote

¿Qué versión del paquete dev-lang/python-exec tiene instalada?
¿Tienes enmascarado la versión estable (grep -r python-exec /etc/portage/package.mask)?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Thu Jan 07, 2021 8:49 pm    Post subject: Reply with quote

fedeliallalinea wrote:
¿Qué versión del paquete dev-lang/python-exec tiene instalada?
¿Tienes enmascarado la versión estable (grep -r python-exec /etc/portage/package.mask)?


Gracias fedeliallalinea, no.
Quote:
grep -r python-exec /etc/portage/package.mask no muestra nada


la versión que tengo en portage es:
Quote:
dev-lang/python-exec
Latest version available: 2.4.6-r2
Latest version installed: 2.4.6-r2


Recuerdo que por error lo elimine hace 15 días y no podía ejecutar el comando emerge y lo instale así:
Quote:

/usr/lib/python-exec/python3.8/emerge -av portage
/usr/lib/python-exec/python3.8/emerge -s python-exe

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1421

PostPosted: Fri Jan 08, 2021 4:20 pm    Post subject: Reply with quote

Si no necesitas los binarios de 32 bits del paquete media-video/ffmpeg desactivale la use abi_x86_32 para ese paquete.
Edito: aclaración.


Last edited by quilosaq on Fri Jan 08, 2021 6:24 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Fri Jan 08, 2021 5:33 pm    Post subject: Reply with quote

quilosaq, in un profilo 17.1 non dovrebbe esistere la cartella /usr/lib32.

carlos plaza, intenta recompilar python-exec (emerge -1 python-exec).
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Fri Jan 08, 2021 6:42 pm    Post subject: Reply with quote

fedeliallalinea wrote:
quilosaq, in un profilo 17.1 non dovrebbe esistere la cartella /usr/lib32.

carlos plaza, intenta recompilar python-exec (emerge -1 python-exec).


Gracias fedeliallalinea, quilosaq.

Ejecute el
Quote:
emerge -1 python-exec
y nada todo igual.
Hace rato tuve que eliminar y volver a instalar varios paquetes de python
Quote:
dev-python/cheroot
dev-python/zope-interface
dev-python/tempora
dev-python/cffi
dev-python/cherrypy
dev-python/cython
dev-python/chardet
dev-python/m2r
dev-python/namespace-zope
dev-python/automat
dev-python/incremental
dev-python/zc-lockfile
dev-python/setuptools_scm
para limpiar un poco los errores, pero:
Quote:

* DISTUTILS_USE_SETUPTOOLS value is probably incorrect
* have: DISTUTILS_USE_SETUPTOOLS=bdepend (or unset)
* expected: DISTUTILS_USE_SETUPTOOLS=rdepend
* Verifying compiled files in /usr/lib/python3.8/site-packages


Trate de volver a actualizar todo
emerge -uDvN -atv @world
Code:

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/aiohttp:0

  (dev-python/aiohttp-3.7.2-r1:0/0::gentoo, ebuild scheduled for merge) USE="-doc -test" ABI_X86="(64)" PYTHON_TARGETS="python3_8 (-python3_6) -python3_7 -python3_9" pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-python/aiohttp-3.6.2-r1:0/0::gentoo, installed) USE="-doc -test" ABI_X86="(64)" PYTHON_TARGETS="python3_8 (-python3_6) -python3_7 -python3_9" pulled in by
    ~dev-python/aiohttp-3.6.2[python_targets_python3_7(-)?,python_targets_python3_8(-)?,-python_single_target_python3_7(-),-python_single_target_python3_8(-)] required by (net-misc/gns3-server-2.2.11:0/0::gentoo, installed) USE="" ABI_X86="(64)" PYTHON_TARGETS="python3_8 -python3_7"
    ^                   ^^^^^                                                                                                                                                                                                                                                                                                                                                                             


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The following updates are masked by LICENSE changes:
- www-client/opera-73.0.3856.329::gentoo (masked by: OPERA-2018 license(s))
A copy of the 'OPERA-2018' license is located at '/usr/portage/licenses/OPERA-2018'.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy ">=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-)]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-python/setuptools-51.1.1::gentoo (masked by: ~amd64 keyword)
- dev-python/setuptools-51.1.0::gentoo (masked by: ~amd64 keyword)
- dev-python/setuptools-51.0.0::gentoo (masked by: ~amd64 keyword)

(dependency required by "dev-python/py-cpuinfo-6.0.0::gentoo" [ebuild])
(dependency required by "net-misc/gns3-server-2.2.11::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


No entiendo quien me esta reteniendo
Quote:
- dev-python/setuptools-51.1.1::gentoo (masked by: ~amd64 keyword)
- dev-python/setuptools-51.1.0::gentoo (masked by: ~amd64 keyword)
- dev-python/setuptools-51.0.0::gentoo (masked by: ~amd64 keyword)

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1226

PostPosted: Fri Jan 08, 2021 10:55 pm    Post subject: Reply with quote

He estado echando un vistazo
Mira este error
Quote:
configure: error: harfbuzz support requested but library not found


Mira que sucede cuando intentas hacer un emerge harfbuzz

Relacionado con esto
https://forums.gentoo.org/viewtopic-t-1127305-highlight-harfbuzz.html

Hablan de reemerger glib y luego hacer un world para arreglarlo.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1421

PostPosted: Fri Jan 08, 2021 11:01 pm    Post subject: Reply with quote

¿Qué devuelve
Code:
grep -R PYTHON_TARGETS /etc/portage/
?
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Sat Jan 09, 2021 1:15 am    Post subject: Reply with quote

quilosaq wrote:
¿Qué devuelve
Code:
grep -R PYTHON_TARGETS /etc/portage/
?


Gracias quilosaq

grep -R PYTHON_TARGETS /etc/portage/
Code:
/etc/portage/make.conf:#PYTHON_TARGETS="python2_7 python3_7"
/etc/portage/make.conf:#PYTHON_TARGETS= "python3_7 python3_6"
/etc/portage/package.use/python3:*/* PYTHON_TARGETS: pypy3


y harfbuzz da el mismo error de ffmpeg con freetype2 found
emerge media-libs/harfbuzz
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/harfbuzz-2.7.2

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-libs/harfbuzz-2.7.2::gentoo
 * harfbuzz-2.7.2.tar.gz BLAKE2B SHA512 size ;-) ...           [ ok ]
>>> Unpacking source...
>>> Unpacking harfbuzz-2.7.2.tar.gz to /var/tmp/portage/media-libs/harfbuzz-2.7.2/work
>>> Source unpacked in /var/tmp/portage/media-libs/harfbuzz-2.7.2/work
>>> Preparing source in /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2 ...
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
meson setup --buildtype plain --libdir lib --localstatedir /var/lib --prefix /usr --sysconfdir /etc --wrap-mode nodownload --build.pkg-config-path /usr/share/pkgconfig:/usr/share/pkgconfig --pkg-config-path /usr/share/pkgconfig:/usr/share/pkgconfig --native-file /var/tmp/portage/media-libs/harfbuzz-2.7.2/temp/meson.i686-pc-linux-gnu.x86.ini -Dcairo=disabled -Dcoretext=disabled -Ddocs=disabled -Dfontconfig=disabled -Dintrospection=disabled -Dstatic=false -Dglib=enabled -Dgraphite=enabled -Dicu=enabled -Dgobject=enabled -Dtests=disabled -Dfreetype=enabled /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2 /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2-abi_x86_32.x86
The Meson build system
Version: 0.55.3
Source dir: /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2
Build dir: /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2-abi_x86_32.x86
Build type: native build
WARNING: Unknown options: "static"
The value of new options can be set with:
meson setup <builddir> --reconfigure -Dnew_option=new_value ...
Project name: harfbuzz
Project version: 2.7.2
C compiler for the host machine: x86_64-pc-linux-gnu-gcc -m32 (gcc 9.3.0 "x86_64-pc-linux-gnu-gcc (Gentoo 9.3.0-r2 p4) 9.3.0")
C linker for the host machine: x86_64-pc-linux-gnu-gcc -m32 ld.bfd 2.34
C++ compiler for the host machine: x86_64-pc-linux-gnu-g++ -m32 (gcc 9.3.0 "x86_64-pc-linux-gnu-g++ (Gentoo 9.3.0-r2 p4) 9.3.0")
C++ linker for the host machine: x86_64-pc-linux-gnu-g++ -m32 ld.bfd 2.34
Host machine cpu family: x86
Host machine cpu: i686
Compiler for C++ supports link arguments -Bsymbolic-functions: YES
Compiler for C++ supports arguments -fno-exceptions: YES
Compiler for C++ supports arguments -fno-rtti: YES
Compiler for C++ supports arguments -fno-threadsafe-statics: YES
Compiler for C++ supports arguments -fvisibility-inlines-hidden: YES
Library m found: YES
Found pkg-config: /usr/bin/x86_64-pc-linux-gnu-pkg-config (0.29.2)
Found CMake: /usr/bin/cmake (3.17.4)
Run-time dependency freetype2 found: NO (tried pkgconfig and cmake)
Run-time dependency freetype2 found: NO (tried pkgconfig and cmake)
Looking for a fallback subproject for the dependency freetype2

../harfbuzz-2.7.2/meson.build:88:4: ERROR: Automatic wrap-based subproject downloading is disabled

A full log can be found at /var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2-abi_x86_32.x86/meson-logs/meson-log.txt
 * ERROR: media-libs/harfbuzz-2.7.2::gentoo failed (configure phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  125:  Called src_configure
 *   environment, line 3287:  Called multilib-minimal_src_configure
 *   environment, line 2075:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *   environment, line 2328:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 2005:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 2003:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *   environment, line  571:  Called multilib-minimal_abi_src_configure
 *   environment, line 2069:  Called multilib_src_configure
 *   environment, line 2545:  Called meson_src_configure
 *   environment, line 1937:  Called die
 * The specific snippet of code:
 *       "${mesonargs[@]}" ) || die
 *
 * If you need support, post the output of `emerge --info '=media-libs/harfbuzz-2.7.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/harfbuzz-2.7.2::gentoo'`.
 * The complete build log is located at '/var/log/portage/media-libs:harfbuzz-2.7.2:20210109-005902.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-libs/harfbuzz-2.7.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/harfbuzz-2.7.2/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/harfbuzz-2.7.2/work/harfbuzz-2.7.2'

>>> Failed to emerge media-libs/harfbuzz-2.7.2, Log file:

>>>  '/var/log/portage/media-libs:harfbuzz-2.7.2:20210109-005902.log'

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Sat Jan 09, 2021 7:33 am    Post subject: Reply with quote

Es posible que los choques de python se deban a la pypy3, intente desactivarla.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1421

PostPosted: Sat Jan 09, 2021 12:38 pm    Post subject: Reply with quote

Para el fallo que te da al reconstruir media-libs/freetype te recomiendo lo mismo que para media-video/ffmpeg: Si no necesitas sus binarios de 32 bits desactiva la use abi_x86_32 para ese paquete. Si no sabes si te hacen falta desactívala y prueba.

Para desactivar la use añade
Code:
media-libs/freetype -abi_x86_32
en algún archivo bajo /etc/portage/package.use/
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1421

PostPosted: Sat Jan 09, 2021 1:27 pm    Post subject: Reply with quote

Encuentra todas las líneas que configuran alguna variable PYTHON* en tus archivos de configuración y déjalas comentadas añadiendo # al inicio de la línea. Encuéntralas con el comando
Code:
grep -R PYTHON /etc/portage/
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Mon Jan 11, 2021 12:03 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Es posible que los choques de python se deban a la pypy3, intente desactivarla.


Gracias fedeliallalinea, efectivamente pypy3 no permitia las actualizaciones. Lo comente y pude actualizar 60 paquetes, todos relacionados con python.

En lo referente a media-video/ffmpeg-4.3.1 creo que es un problema, con games-strategy/0ad-0.0.23b_alpha :?: que esta enmascarado por tener dependencias por:
Quote:
- games-strategy/0ad-0.0.23b_alpha::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Michał Górny <mgorny@gentoo.org> (2020-09-09)
# These packages (or package versions) still require Python 2.7.
# They are either dead upstream, their Python 3 porting efforts are
# not progressing or their maintainers are simply unresponsive.
# Please do not remove any packages from this list unless you actually
# port them to Python 3.
# Removal in 30 days. Please find relevant bugs on tracker bug #694800.

Y cuando intento emerge @preserved-rebuild
Code:

package: dev-libs/boost-1.72.0-r2
 *  - /usr/lib64/libboost_filesystem.so.1.72.0
 *      used by /usr/bin/0ad (games-strategy/0ad-0.0.23b_alpha)
>>> package: media-libs/dav1d-0.8.0
 *  - /usr/lib/libdav1d.so.4
 *  - /usr/lib/libdav1d.so.4.0.2
 *      used by /usr/lib32/libavcodec.so.58.91.100 (media-video/ffmpeg-4.3.1)
 *  - /usr/lib64/libdav1d.so.4
 *  - /usr/lib64/libdav1d.so.4.0.2
 *      used by /usr/lib64/libavcodec.so.58.91.100 (media-video/ffmpeg-4.3.1)


Después de corregir los paquetes de PYTHON ahora se presento un nuevo de conflicto con QT
Quote:
Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:


Desde los cambios de perfil 17.0 a 17.1 y la actualizacion de Python, mi amado Gentoo se a puesto RUDO :?: :?:

Voy a corregir los paquetes QT y luego continuo con los consejos de quilosaq :wink:
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Mon Jan 11, 2021 12:25 pm    Post subject: Reply with quote

Recuerde que todos sus problemas relacionados con el soporte de 32 bits están relacionados con el hecho de que no ejecutó el comando emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Wed Jan 13, 2021 3:35 am    Post subject: Reply with quote

Gracias fedeliallalinea, quilosaq

Se me a hecho un circulo vicioso después del cambio de perfil 17.1 y el cambio de python2.7 entre ffmpeg y freetype

Elimine todos los programas que llamaran a abi_x86_32 (virtualbox, wine y hasta mi querido juego 0ad)
Pero sigo sin poder solucionar.

emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/freetype-2.10.4:2::gentoo  USE="X adobe-cff bzip2 cleartype_hinting harfbuzz png static-libs -bindist -brotli -debug -doc -fontforge -infinality -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/fontconfig-2.13.1-r2:1.0::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/cairo-1.16.0-r4::gentoo  USE="X glib opengl svg (-aqua) -debug (-gles2-only) -static-libs -utils -valgrind" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXft-2.3.3::gentoo  USE="-doc (-static-libs%)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/harfbuzz-2.7.2:0/0.9.18::gentoo  USE="cairo glib graphite icu introspection truetype -debug -doc -static-libs -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/pango-1.42.4-r2::gentoo  USE="X introspection -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] gnome-base/librsvg-2.48.8:2::gentoo  USE="introspection vala" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/gtk+-3.24.22:3::gentoo  USE="X cups introspection xinerama (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/gtk+-2.24.32-r1:2::gentoo  USE="cups introspection xinerama (-aqua) -examples -test -vim-syntax" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/cairomm-1.12.0-r1::gentoo  USE="X svg (-aqua) -doc" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libindicator-12.10.1-r301:3::gentoo  USE="-test" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] media-libs/gst-plugins-base-1.16.2:1.0::gentoo  USE="X alsa egl introspection nls ogg opengl orc pango theora vorbis -gbm -gles2 -ivorbis -wayland" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/gst-plugins-good-1.16.2:1.0::gentoo  USE="nls orc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/gst-plugins-bad-1.16.2:1.0::gentoo  USE="X bzip2 introspection nls orc vnc -test -wayland" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/gst-plugins-ugly-1.16.2:1.0::gentoo  USE="nls" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-opus-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-cdparanoia-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-dvdread-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-flac-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-faad-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-x264-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-a52dec-1.16.2:1.0::gentoo  USE="orc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-modplug-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-dts-1.16.2:1.0::gentoo  USE="orc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-resindvd-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-libmms-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-v4l2-1.16.2:1.0::gentoo  USE="udev" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-wavpack-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-dvb-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-sound/pulseaudio-13.0::gentoo  USE="X alsa alsa-plugin asyncns bluetooth caps dbus elogind gdbm glib gtk ipv6 lirc orc qt5 ssl tcpd udev webrtc-aec -doc -equalizer -gconf -jack -libressl -libsamplerate -native-headset -ofono-headset (-oss) -realtime (-selinux) -sox (-system-wide) -systemd -test -zeroconf" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/libsdl2-2.0.12-r2::gentoo  USE="X alsa dbus haptic ibus joystick nas opengl pulseaudio sound threads udev video xinerama (-aqua) (-custom-cflags) -fcitx4 -gles2 -jack -kms -libsamplerate -oss -static-libs -tslib -vulkan -wayland -xscreensaver" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmx sse sse2 -3dnow" VIDEO_CARDS="(-vc4)" 0 KiB
[ebuild   R    ] media-libs/libsdl-1.2.15-r9::gentoo  USE="X aalib alsa dga fbcon joystick libcaca nas opengl pulseaudio sound video xinerama xv -custom-cflags -oss -static-libs -tslib" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-pulse-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/openal-1.20.1::gentoo  USE="alsa pulseaudio qt5 sdl (-coreaudio) -debug -jack -oss -portaudio" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse sse2 sse4_1" 0 KiB
[ebuild   R    ] media-libs/libdv-1.0.0-r4::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-sound/mpg123-1.25.13::gentoo  USE="alsa ipv6 nas pulseaudio sdl (-coreaudio) -int-quality -jack -oss -portaudio" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse (-3dnow) (-3dnowext) (-mmx)" 0 KiB
[ebuild   R    ] media-libs/libmpeg2-0.5.1-r2::gentoo  USE="X sdl -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-video/mjpegtools-2.1.0-r4:1::gentoo  USE="dv gtk png sdl -quicktime -sdlgfx -static-libs" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmx" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-mpg123-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-mpeg2dec-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-dv-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-mplex-1.16.2:1.0::gentoo  ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-video/ffmpeg-4.3.1:0/56.58.58::gentoo  USE="X alsa bs2b bzip2 cpudetection dav1d encode gnutls gpl gsm iconv ladspa libcaca modplug mp3 network openal opengl opus postproc pulseaudio samba sdl speex svg theora threads truetype twolame vorbis wavpack x264 xvid zlib -amr -amrenc (-appkit) -bluray -cdio -chromaprint -chromium -codec2 (-cuda) -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -hardcoded-tables -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -libaom -libaribb24 -libass -libdrm -libilbc -libressl -librtmp -libsoxr -libtesseract -libv4l -libxml2 -lv2 -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -opencl -openh264 -openssl -oss -pic -rav1e -rubberband -snappy -srt -ssh -static-libs -test -v4l -vaapi -vdpau -vidstab -vpx -vulkan -webp -x265 -zeromq -zimg -zvbi" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="-nvidia" 0 KiB
[ebuild   R    ] media-plugins/alsa-plugins-1.2.2::gentoo  USE="ffmpeg mix pulseaudio speex usb_stream -arcam_av -debug -jack -libsamplerate -oss" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-libav-1.16.2-r1:1.0::gentoo  USE="orc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] app-emulation/faudio-20.02::gentoo  USE="ffmpeg -debug -dumpvoices -test -utils -xnasong" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 46 packages (46 reinstalls), Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-qt/qtsvg:5

  (dev-qt/qtsvg-5.15.2:5/5.15::gentoo, ebuild scheduled for merge) USE="-debug -test" ABI_X86="(64)" conflicts with
    ~dev-qt/qtsvg-5.15.1 required by (dev-qt/qtvirtualkeyboard-5.15.1:5/5.15::gentoo, installed) USE="X spell -debug -handwriting -test" ABI_X86="(64)"
    ^             ^^^^^^


!!! The following installed packages are masked:
- x11-terms/eterm-0.9.6-r2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Joonas Niilola <juippis@gentoo.org> (2020-01-07)
# Eterm's development stopped 2014 and upstream brought to life
# its successor, terminology. Eterm is unmaintained in Gentoo with
# multiple bugs open for a long time. Switch to any available
# alternative, https://packages.gentoo.org/categories/x11-terms
# For Esetroot replacement, use feh from media-gfx/feh or wmsetbg
# from x11-wm/windowmaker.
# Removal in ~30 days. Bug: #764359

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


emerge: there are no ebuilds to satisfy "~dev-qt/qtcore-5.15.1".
(dependency required by "dev-qt/qtsvg-5.15.1::gentoo" [installed])
(dependency required by "dev-qt/qtvirtualkeyboard-5.15.1::gentoo" [installed])
(dependency required by "kde-plasma/kwin-5.19.5-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

emerge: there are no ebuilds to satisfy "~dev-qt/qtgui-5.15.1".
(dependency required by "dev-qt/qtsvg-5.15.1::gentoo" [installed])
(dependency required by "dev-qt/qtvirtualkeyboard-5.15.1::gentoo" [installed])
(dependency required by "kde-plasma/kwin-5.19.5-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

emerge: there are no ebuilds to satisfy "~dev-qt/qtwidgets-5.15.1".
(dependency required by "dev-qt/qtsvg-5.15.1::gentoo" [installed])
(dependency required by "dev-qt/qtvirtualkeyboard-5.15.1::gentoo" [installed])
(dependency required by "kde-plasma/kwin-5.19.5-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


>>> Verifying ebuild manifests

>>> Running pre-merge checks for media-sound/pulseaudio-13.0
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     4.19.86-gentoo-x86_64
 * Checking for suitable kernel configuration options...                 [ ok ]

>>> Emerging (1 of 46) media-libs/freetype-2.10.4::gentoo
 * freetype-2.10.4.tar.xz BLAKE2B SHA512 size ;-) ...                    [ ok ]
>>> Unpacking source...
>>> Unpacking freetype-2.10.4.tar.xz to /var/tmp/portage/media-libs/freetype-2.10.4/work
>>> Source unpacked in /var/tmp/portage/media-libs/freetype-2.10.4/work
>>> Preparing source in /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4 ...
 * Applying freetype-2.10.3-sizeof-types.patch ...                       [ ok ]
 * Running elibtoolize in: freetype-2.10.4/
 * Running elibtoolize in: freetype-2.10.4/builds/unix/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.3 patch ...
 *   Applying ppc64le/2.4.4 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4 ...
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
 * econf: updating freetype-2.10.4/builds/unix/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating freetype-2.10.4/builds/unix/config.sub with /usr/share/gnuconfig/config.sub
/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --docdir=/usr/share/doc/freetype-2.10.4 --htmldir=/usr/share/doc/freetype-2.10.4/html --with-sysroot=/ --libdir=/usr/lib --disable-freetype-config --enable-biarch-config --enable-shared --without-brotli --with-bzip2 --with-harfbuzz --with-png --enable-static LIBPNG_CFLAGS=-I/usr/include/libpng16 LIBPNG_LDFLAGS=-lpng16 -lz ac_cv_prog_RC= ac_cv_prog_ac_ct_RC=
Generating `Makefile'

FreeType build system -- automatic system detection

The following settings are used:

  platform                    unix
  compiler                    x86_64-pc-linux-gnu-gcc -m32
  configuration directory     /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix
  configuration rules         /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/unix.mk

If this does not correspond to your system or settings please remove the file
`config.mk' from this directory then read the INSTALL file for help.

Otherwise, simply type `gmake' again to build the library,
or `gmake refdoc' to build the API reference (this needs Python >= 3.5).

/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/configure  '--prefix=/usr' '--build=i686-pc-linux-gnu' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--docdir=/usr/share/doc/freetype-2.10.4' '--htmldir=/usr/share/doc/freetype-2.10.4/html' '--with-sysroot=/' '--libdir=/usr/lib' '--disable-freetype-config' '--enable-biarch-config' '--enable-shared' '--without-brotli' '--with-bzip2' '--with-harfbuzz' '--with-png' '--enable-static' 'LIBPNG_CFLAGS=-I/usr/include/libpng16' 'LIBPNG_LDFLAGS=-lpng16 -lz' 'ac_cv_prog_RC=' 'ac_cv_prog_ac_ct_RC='
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for i686-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc -m32
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc -m32 accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc -m32 option to accept ISO C89... none needed
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -m32 -E
checking pkg-config is at least version 0.24... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc -m32... x86_64-pc-linux-gnu-ld -m elf_i386
checking if the linker (x86_64-pc-linux-gnu-ld -m elf_i386) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... x86_64-pc-linux-gnu-nm
checking the name lister (x86_64-pc-linux-gnu-nm) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for x86_64-pc-linux-gnu-ld -m elf_i386 option to reload object files... -r
checking for i686-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for i686-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for i686-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for i686-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for i686-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking for gawk... gawk
checking command to parse x86_64-pc-linux-gnu-nm output from x86_64-pc-linux-gnu-gcc -m32 object... ok
checking for sysroot... /
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for i686-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc -m32 supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc -m32 option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc -m32 PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc -m32 static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc -m32 supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc -m32 supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc -m32 linker (x86_64-pc-linux-gnu-ld -m elf_i386) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking windows.h usability... no
checking windows.h presence... no
checking for windows.h... no
checking for a BSD-compatible install... /usr/lib/portage/python3.8/ebuild-helpers/xattr/install -c
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking size of int... 4
checking size of long... 4
checking for unsigned long long int... yes
checking for long long int... yes
checking whether cpp computation of bit length in ftconfig.h.in works... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether munmap is declared... yes
checking for munmap's first parameter type... void *
checking for memcpy... yes
checking for memmove... yes
checking gcc compiler flag -pedantic to assure ANSI C works correctly... ok, adding to XX_ANSIFLAGS
checking gcc compiler flag -ansi to assure ANSI C works correctly... ok, adding to XX_ANSIFLAGS
checking for -fvisibility=hidden compiler flag... yes
checking for ZLIB... yes
checking for BZIP2... no
checking for BZ2_bzDecompress in -lbz2... yes
checking bzlib.h usability... yes
checking bzlib.h presence... yes
checking for bzlib.h... yes
checking for LIBPNG... yes
checking for HARFBUZZ... no
configure: error: harfbuzz support requested but library not found
gmake: *** [/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4/builds/unix/detect.mk:89: setup] Error 1

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4-abi_x86_32.x86/config.log
 * ERROR: media-libs/freetype-2.10.4::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  125:  Called src_configure
 *             environment, line 2139:  Called multilib-minimal_src_configure
 *             environment, line 1448:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *             environment, line 1701:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 1378:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 1376:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *             environment, line  466:  Called multilib-minimal_abi_src_configure
 *             environment, line 1442:  Called multilib_src_configure
 *             environment, line 1932:  Called econf '--disable-freetype-config' '--enable-biarch-config' '--enable-shared' '--without-brotli' '--with-bzip2' '--with-harfbuzz' '--with-png' '--enable-static' 'LIBPNG_CFLAGS=-I/usr/include/libpng16' 'LIBPNG_LDFLAGS=-lpng16 -lz' 'ac_cv_prog_RC=' 'ac_cv_prog_ac_ct_RC='
 *        phase-helpers.sh, line  680:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-libs/freetype-2.10.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/freetype-2.10.4::gentoo'`.
 * The complete build log is located at '/var/log/portage/media-libs:freetype-2.10.4:20210113-031939.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-libs/freetype-2.10.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/freetype-2.10.4/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/freetype-2.10.4/work/freetype-2.10.4'

>>> Failed to emerge media-libs/freetype-2.10.4, Log file:

>>>  '/var/log/portage/media-libs:freetype-2.10.4:20210113-031939.log'

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 26020
Location: here

PostPosted: Wed Jan 13, 2021 6:30 am    Post subject: Reply with quote

Inténtalo con
Code:
# USE="-harfbuzz" emerge -1 media-libs/freetype
# emerge -1 harfbuzz
# emerge -1 media-libs/freetype
# emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
carlos plaza
Guru
Guru


Joined: 22 Jan 2005
Posts: 329
Location: Venezuela

PostPosted: Wed Jan 13, 2021 9:23 pm    Post subject: Reply with quote

Millones de gracias fedeliallalinea por tu ayuda, experiencia y consejos.
fedeliallalinea wrote:
Inténtalo con
Code:
# USE="-harfbuzz" emerge -1 media-libs/freetype
# emerge -1 harfbuzz
# emerge -1 media-libs/freetype
# emerge -1v --deep /lib32 /usr/lib32 /usr/lib/llvm/*/lib32


Pude terminar de actualizar el perfil 17.1 freetype se compilo.
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum